diff --git a/conf/trigger.cfg.example b/conf/trigger.cfg.example
--- a/conf/trigger.cfg.example
+++ b/conf/trigger.cfg.example
@@ -3,6 +3,7 @@
 
 [trigger]
 koji_build_completed_tasks = rpmlint
+docker_build_tasks = dockerautotest
 koji_tag_changed_tasks = upgradepath,depcheck
 compose_completed_tasks =
 valid_arches = x86_64
diff --git a/jobtriggers/config.py b/jobtriggers/config.py
--- a/jobtriggers/config.py
+++ b/jobtriggers/config.py
@@ -7,6 +7,7 @@
 
 [trigger]
 koji_build_completed_tasks = rpmlint
+docker_build_tasks = dockerautotest
 koji_tag_changed_tasks = upgradepath,depcheck
 compose_completed_tasks =
 valid_arches = x86_64
@@ -27,6 +28,7 @@
 buildbot_url = config.get('buildbot', 'url')
 
 koji_build_completed_tasks = [e.strip() for e in config.get('trigger', 'koji_build_completed_tasks').split(',') if e]
+docker_build_tasks = [e.strip() for e in config.get('trigger', 'docker_build_tasks').split(',') if e]
 koji_tag_changed_tasks = [e.strip() for e in config.get('trigger', 'koji_tag_changed_tasks').split(',') if e]
 compose_completed_tasks = [e.strip() for e in config.get('trigger', 'compose_completed_tasks').split(',') if e]
 valid_arches = [e.strip() for e in config.get('trigger', 'valid_arches').split(',') if e]
@@ -36,4 +38,4 @@
 trigger_type = config.get('trigger', 'type')
 job_logging = True if config.get('trigger', 'job_logging') == 'True' else False
 joblog_file = config.get('trigger', 'joblog_file')
-fuse_delay = int(config.get('trigger', 'fuse_delay')) # seconds
+fuse_delay = int(config.get('trigger', 'fuse_delay'))  # seconds
diff --git a/jobtriggers/koji_build_msg.py b/jobtriggers/koji_build_msg.py
--- a/jobtriggers/koji_build_msg.py
+++ b/jobtriggers/koji_build_msg.py
@@ -48,5 +48,12 @@
                                ITEM_TYPE,
                                config.koji_build_completed_tasks,
                                config.valid_arches)
+
+            # run docker-specific tasks here - e. g. dockerautotest
+            if name == "docker":
+                self.trigger_tasks('-'.join((name, version, release)),
+                                   ITEM_TYPE,
+                                   config.docker_build_tasks,
+                                   config.valid_arches)
         except TriggerMsgError, e:
             self.log.debug(e)
diff --git a/testing/test_koji_build_trigger.py b/testing/test_koji_build_trigger.py
--- a/testing/test_koji_build_trigger.py
+++ b/testing/test_koji_build_trigger.py
@@ -16,18 +16,21 @@
         self.ref_version = '4.1.1'
         self.ref_release = '3.fc18'
         self.ref_nvr = '%s-%s-%s' % (self.ref_name, self.ref_version, self.ref_release)
+        self.ref_nvr_docker = '%s-%s-%s' % ('docker', self.ref_version, self.ref_release)
 
         self._create_msg(self.ref_instance, self.ref_new, self.ref_name, self.ref_release, self.ref_version)
 
         self.ref_tasks = ['koji_build_task1', 'koji_build_task2']
+        self.ref_tasks_docker = ['docker_build_task']
         self.ref_validarches = ['i386', 'x86_64']
 
         stub_hub = Munch(config=Munch(get=0))
 
         self.helper = koji_build_msg.KojiBuildCompletedJobTrigger(stub_hub)
         self.helper.trigger = Dingus()
 
         koji_build_msg.config.koji_build_completed_tasks = self.ref_tasks
+        koji_build_msg.config.docker_build_tasks = self.ref_tasks_docker
         koji_build_msg.config.valid_arches = self.ref_validarches
         koji_build_msg.config.job_logging = False
 
@@ -56,6 +59,23 @@
         assert trigger_calls[2][1] == (self.ref_nvr, koji_build_msg.ITEM_TYPE, self.ref_tasks[1], self.ref_validarches[0])
         assert trigger_calls[3][1] == (self.ref_nvr, koji_build_msg.ITEM_TYPE, self.ref_tasks[1], self.ref_validarches[1])
 
+    def test_consume_docker(self):
+        ref_name = 'docker'
+        self._create_msg(self.ref_instance, self.ref_new, ref_name, self.ref_release, self.ref_version)
+
+        self.helper.consume(self.ref_message)
+
+        trigger_calls = self.helper.trigger.trigger_job.calls()
+
+        assert len(trigger_calls) == 6
+
+        assert trigger_calls[0][1] == (self.ref_nvr_docker, koji_build_msg.ITEM_TYPE, self.ref_tasks[0], self.ref_validarches[0])
+        assert trigger_calls[1][1] == (self.ref_nvr_docker, koji_build_msg.ITEM_TYPE, self.ref_tasks[0], self.ref_validarches[1])
+        assert trigger_calls[2][1] == (self.ref_nvr_docker, koji_build_msg.ITEM_TYPE, self.ref_tasks[1], self.ref_validarches[0])
+        assert trigger_calls[3][1] == (self.ref_nvr_docker, koji_build_msg.ITEM_TYPE, self.ref_tasks[1], self.ref_validarches[1])
+        assert trigger_calls[4][1] == (self.ref_nvr_docker, koji_build_msg.ITEM_TYPE, self.ref_tasks_docker[0], self.ref_validarches[0])
+        assert trigger_calls[5][1] == (self.ref_nvr_docker, koji_build_msg.ITEM_TYPE, self.ref_tasks_docker[0], self.ref_validarches[1])
+
     def test_consume_not_primary_instance(self):
         ref_instance = 'ppc'
         self._create_msg(ref_instance, self.ref_new, self.ref_name, self.ref_release, self.ref_version)