Index: .gitignore
===================================================================
--- .gitignore
+++ .gitignore
@@ -41,3 +41,7 @@
 
 # Virtualenv
 /env_taskotron/
+
+# local configuration files
+conf/taskotron.yaml
+conf/yumrepoinfo.conf
Index: docs/source/conf.py
===================================================================
--- docs/source/conf.py
+++ docs/source/conf.py
@@ -51,9 +51,9 @@
 # built documents.
 #
 # The short X.Y version.
-version = '0.0.10'
+version = '0.0.11'
 # The full version, including alpha/beta/rc tags.
-release = '0.0.10'
+release = '0.0.11'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
Index: libtaskotron.spec
===================================================================
--- libtaskotron.spec
+++ libtaskotron.spec
@@ -3,7 +3,7 @@
 %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:           libtaskotron
-Version:        0.0.10
+Version:        0.0.11
 Release:        2%{?dist}
 Summary:        Taskotron Support Library
 
@@ -48,6 +48,13 @@
 %description
 Libtaskotron is a support library for running taskotron tasks.
 
+%package -n libtaskotron-config
+Summary:        Configuration files needed for using libtaskotron
+
+%description -n libtaskotron-config
+libtaskotron-config contains all of the configuration files needed for using
+libtaskotron.
+
 %prep
 %setup -q
 
@@ -63,21 +70,32 @@
 
 # configuration files
 mkdir -p %{buildroot}%{_sysconfdir}/taskotron/
-install conf/taskotron.yaml %{buildroot}%{_sysconfdir}/taskotron/taskotron.yaml
+install conf/taskotron.yaml.example %{buildroot}%{_sysconfdir}/taskotron/taskotron.yaml
+install conf/yumrepoinfo.conf.example %{buildroot}%{_sysconfdir}/taskotron/yumrepoinfo.conf
 
 
 %files
 %doc readme.rst
 %{python_sitelib}/libtaskotron
 %{python_sitelib}/*.egg-info
 
+%attr(755,root,root) %{_bindir}/runtask
+
+%files -n libtaskotron-config
 %dir %{_sysconfdir}/taskotron
-%{_sysconfdir}/taskotron/taskotron.yaml
+%config(noreplace) %{_sysconfdir}/taskotron/taskotron.yaml
+%config %{_sysconfdir}/taskotron/yumrepoinfo.conf
 
-%attr(755,root,root) %{_bindir}/runtask
 
 
 %changelog
+* Tue Apr 29 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.11-2
+- moved config files to libtaskotron-config subpackage
+
+* Tue Apr 29 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.11-1
+- changed config files to be noreplace
+- updated config file source paths
+
 * Tue May 06 2014 Kamil Páral <kparal@redhat.com> - 0.0.10-2
 - Add a minimum version to python-hawkey. Older versions have a different API.
 
Index: libtaskotron/__init__.py
===================================================================
--- libtaskotron/__init__.py
+++ libtaskotron/__init__.py
@@ -1 +1 @@
-__version__ = '0.0.10'
+__version__ = '0.0.11'
Index: libtaskotron/config.py
===================================================================
--- libtaskotron/config.py
+++ libtaskotron/config.py
@@ -19,9 +19,10 @@
 # a list of directories where config files are stored
 # the config files are loaded from these locations in the specified order,
 # and only the first config file found is used (further locations are ignored)
-CONF_DIRS = ['/etc/taskotron',
+CONF_DIRS = [
     # local checkout dir
     os.path.abspath(os.path.dirname(libtaskotron.__file__) + '/../conf'),
+   '/etc/taskotron', 
     ]
 
 # the name of our configuration file
Index: readme.rst
===================================================================
--- readme.rst
+++ readme.rst
@@ -20,7 +20,12 @@
 For the moment, libtaskotron can't be fully installed by either pip or rpm and
 needs a bit of both for now.
 
-First, install some necessary packages::
+Some of the packages required for using libtaskotron are not yet available from
+standard Fedora repos and the taskotron-copr repo is required::
+
+  sudo wget http://copr-fe.cloud.fedoraproject.org/coprs/tflink/taskotron/repo/fedora-20-i386/tflink-taskotron-fedora-20-i386.repo -o /etc/yum.repos.d/tflink-taskotron-fedora-20-i386.repo
+
+Once the copr repo is available, install the necessary packages::
 
   koji
   rpm-python
@@ -31,6 +36,8 @@
   python-hawkey
   createrepo
   mash
+  libtaskotron-config
+  resultsdb_api
 
 Then, set up the virtualenv::
 
@@ -149,3 +156,16 @@
   cd docs/
   make html
 
+Configuration
+-------------
+
+The `libtaskotron-config` package installs config files with default values
+into `/etc/taskotron`. To change those default values, you can either change
+the files in `/etc/taskotron` or you can create config files inside your
+checkout with::
+
+  cp conf/taskotron.yaml.example conf/taskotron.yaml
+  cp conf/yumrepoinfo.conf.exampe conf/yumrepoinfo.conf
+
+The configuration files in `./conf` take precedence over anything in `/etc/`,
+so make sure that you're editing the correct file if you create local copies.